package nova.monadic_sfx.http

import akka.actor.typed._
import nova.monadic_sfx.AppTypes
import nova.monadic_sfx.http.requests.DummyRequest

trait HttpModule {
  def requesters(
      backend: AppTypes.HttpBackend,
      system: ActorSystem[SpawnProtocol.Command]
  ): Requesters = {
    import com.softwaremill.macwire._
    val dummyRequester = wire[DummyRequest]
    wire[Requesters]
  }
}

class Requesters(val dummyRequester: DummyRequest)

// object Requesters {
//   def apply(
//       backend: AppTypes.HttpBackend,
//       system: akka.actor.typed.ActorSystem[SpawnProtocol.Command]
//   ): Requesters = {
//     import com.softwaremill.macwire._
//     val dummyRequester = wire[DummyRequest]
//     wire[Requesters]
//   }
// }
